function Yiplus1 = PoincareMap_ForcedDuffing(Yi,param)

omega = param.omega;

% time duration and time list
tperiod = 2*pi/omega;
tspan = [0 tperiod];

% solving the ODE
options = odeset('reltol',1e-10,'abstol',1e-10);

% initial condition
Y0 = Yi;
% ode integration
[tlist,Ylist] = ode45(@OdeForcedDuffing,tspan,Y0,options,param);

Yiplus1 = Ylist(end,:)';
% 
% figure(1);
% plot(Ylist(:,1),Ylist(:,2)); xlabel('x'); ylabel('xdot');
% % 
% figure(2);
% plot(tlist,Ylist(:,2)); xlabel('x'); ylabel('xdot');