function Yiplus1 = PoincareMap_ForcedDuffing(Yi,omega)

% time duration and time list
tmax = 2*pi/omega;
tspan = [0 tmax];

% solving the ODE
options = odeset('reltol',1e-10,'abstol',1e-10);

param.c = 0.1; param.k = 1; param.epsilon = 0.1;
param.omega = omega;

% forcing amplitude
param.A = 0.1; 

% initial condition
Y0 = Yi;
% ode integration
[tlist,Ylist] = ode45(@OdeForcedDuffing,tspan,Y0,options,param);

Yiplus1 = Ylist(end,:)';

figure(1);
plot(Ylist(:,1),Ylist(:,2)); xlabel('x'); ylabel('xdot');